using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using SimpleJSON;
using System.Threading;
using MVR;
using MeshVR;
using System.Linq;


namespace Stopper {
	public class SliderUnlocker : MVRScript {
		public override void Init() {
			
			// Turn on range adjust for all sliders
			foreach(var uiSlider in containingAtom.GetComponentsInChildren<UIDynamicSlider>(true)){
				uiSlider.rangeAdjustEnabled = true;
				uiSlider.sliderControl.clamp = false;
			}
			
			// Unconstrain all floats
			foreach(var storable in containingAtom.GetComponentsInChildren<JSONStorable>(true)){
				if(storable.GetFloatParamNames() != null){
					foreach(string floatParam in storable.GetFloatParamNames()){
						var floatJsonParam = storable.GetFloatJSONParam(floatParam);
						floatJsonParam.constrained = false;
					}
				}
			}
		}
		
		private void Start(){
		}
		
		private void Update(){
		}
	
		private void OnDisable(){
		}
		
		private void OnDestroy(){
		}
	}
}
